# $Revision: 1.69 $, $Date: 2011/09/01 06:49:44 $
%define		ver	1.1
%define		sdate	20100428
Summary:	A program to build tty dialog boxes
Summary(de.UTF-8):	Ein Programm zum Erstellen von tty-Dialogfeldern
Summary(fr.UTF-8):	Programme pour construire des boîtes de dialogue en mode texte
Summary(pl.UTF-8):	Dialog tworzy okienkowy interfejs użytkownika na terminalu tekstowym
Summary(tr.UTF-8):	tty diyalog kutuları oluşturan bir program
Name:		dialog
Version:	%{ver}.%{sdate}
Release:	2
Epoch:		1
License:	LGPL v2.1
Group:		Applications/Terminal
Source0:	ftp://invisible-island.net/dialog/%{name}-%{ver}-%{sdate}.tgz
# Source0-md5:	519c0a0cbac28ddb992111ec2c3f82aa
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	932081790cd8aa857822bd2b0eafa5bb
Patch0:		%{name}-link.patch
Patch1:		libtool.patch
URL:		http://invisible-island.net/dialog/dialog.html
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dialog is a utility that allows you to build user interfaces in a TTY
(text mode only). You can call dialog from within a shell script to
ask the user questions or present with choices in a more user friendly
manner.

%description -l de.UTF-8
Dialog ist ein Dienstprogramm, das das Erstellen einer
Benutzeroberfläche in einem TTY ermöglicht (nur Textmodus). Sie können
dialog mit einem Shell-Script aufrufen, um dem Benutzer auf
benutzerfreundliche Weise Fragen zu stellen oder eine Auswahl
anzubieten. Unter %{_examplesdir}/%{name}-%{version} finden Sie einige
Beispiele.

%description -l fr.UTF-8
dialog est un utilitaire permettant de construire des interfaces
utilisateur en mode texte. On peut appeler dialog à partir d'un script
shell pour poser des questions à l'utilisateur ou lui proposer des
choix de façon conviviale. Voir %{_examplesdir}/%{name}-%{version}
pour quelques exemples.

%description -l pl.UTF-8
Dialog jest narzędziem umożliwiającym stworzenie przyjaznego
interfejsu użytkownika na terminalu pracującym w trybie tekstowym. Do
programu dołączone są przykładowe skrypty, ułatwiające rozpoczęcie
pracy.

%description -l tr.UTF-8
Dialog, metin ekran için kullanıcı arayüzleri oluşturmayı sağlayan bir
araçtır. Kullanıcıya seçenekleri göstermek veya sorular sormak için,
dialog programını bir kabuk programcığı içinden çağırabilirsiniz.
Örnekler için %{_examplesdir}/%{name}-%{version} dizinine bakınız.

%package devel
Summary:	Libraries and headers files for dialog
Summary(pl.UTF-8):	Biblioteki i pliki nagółwkowe dla dialog
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	ncurses-devel >= 5.4

%description devel
Libraries and header files for dialog.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe dla dialog.

%package static
Summary:	Static dialog library
Summary(pl.UTF-8):	Statyczna biblioteka dialog
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static dialog library.

%description static -l pl.UTF-8
Statyczna biblioteka dialog.

%prep
%setup -q -n %{name}-%{ver}-%{sdate}
%patch0 -p1
%patch1 -p1
mv aclocal.m4 acinclude.m4

%build
%configure \
	--with-libtool \
	--with-ncursesw \
	--enable-widec \
	--enable-nls

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a samples/* dialog.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/dialog
%attr(755,root,root) %{_libdir}/libdialog.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdialog.so.7
%{_mandir}/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dialog-config
%attr(755,root,root) %{_libdir}/libdialog.so
%{_libdir}/libdialog.la
%{_includedir}/*.h
%{_mandir}/man3/dialog.3*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/README
%{_examplesdir}/%{name}-%{version}/*.txt
%{_examplesdir}/%{name}-%{version}/*.??
%{_examplesdir}/%{name}-%{version}/install
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/[fgkmpry]*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/copismall
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/ca*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/checklist
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/checklist9
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/checklist[!9]*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/in[fp]*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/t[ai]*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/tes*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/textbox
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/textbox[0-9]
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/wheel
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/listing
%dir %{_examplesdir}/%{name}-%{version}/copifuncs
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/copifuncs/a*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/copifuncs/com*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/copifuncs/copi.[!t]*
%{_examplesdir}/%{name}-%{version}/copifuncs/copi.t*
%{_examplesdir}/%{name}-%{version}/copifuncs/ifpatch
%{_examplesdir}/%{name}-%{version}/dselect
%{_examplesdir}/%{name}-%{version}/editbox*

%files static
%defattr(644,root,root,755)
%{_libdir}/libdialog.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dialog.spec,v $
Revision 1.69  2011/09/01 06:49:44  arekm
- release 2

Revision 1.68  2010/04/29 08:21:28  paszczus
- updated to 1.1-20100428

Revision 1.67  2010/01/20 11:20:53  paszczus
- updated to 1.1-20100119
- updated libtool.patch
- pl.po.patch removed
- SONAME changed from libdialog.so.6 to libdialog.so.7
- adaptarized

Revision 1.66  2009/07/19 23:30:21  glen
- add --tag=CC to libtool invocations
- libdialog.so.6 should be ghosted

Revision 1.65  2009/07/17 20:50:30  gotar
- include libdialog.so.6 in main and dialog-config in devel subpackage

Revision 1.64  2009/07/17 20:41:43  gotar
- upgraded to 1.1-20080819

Revision 1.63  2009/02/18 20:10:45  arekm
- release 2

Revision 1.62  2008/05/15 06:10:51  dzeus
- rel.1

Revision 1.61  2007-02-12 21:23:53  glen
- tabs in preamble

Revision 1.60  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.59  2006/11/22 11:02:58  darekr
- ..and one missing file

Revision 1.58  2006/11/22 10:53:40  darekr
- remove dup files

Revision 1.57  2006/11/22 10:40:50  darekr
- kill dup dir

Revision 1.56  2006/11/22 07:14:35  ankry
- not so simple, darekr

Revision 1.55  2006/11/22 01:44:36  darekr
- kill needless %attr for _exmaplesdir

Revision 1.54  2006/03/15 14:08:13  wiget
- updated to 1.0-20060221

Revision 1.53  2006/02/19 12:56:29  qboosh
- post-update cleanup
- removed examples patch, added link,pl.po-update patches
- revised BRs (removed gpm - mouse support is gone)
- -devel R: ncurses-devel (>= 5.4, when we introduced libncursesw)

Revision 1.52  2006/02/10 16:51:09  wiget
- new version 1.0-20060126 from http://invisible-island.net/dialog/ (based on Debian dialog, used by Gentoo)
- release 0.9

Revision 1.51  2005/03/26 15:04:52  mmazur
- rel 12 for th

Revision 1.50  2004/11/10 14:11:14  paladine
- cosmetics

Revision 1.49  2004/03/01 12:01:51  pluto
- gcc 3.4 fixes.

Revision 1.48  2004/01/02 16:11:38  jajcus
- Release: 11 (STBR after AMD64 fixes)

Revision 1.47  2003/12/26 17:15:32  jajcus
- pass libdir to make install (fixes AMD64 build)

Revision 1.46  2003/08/31 17:32:18  mmazur
- rel 10 for ac

Revision 1.45  2003/06/27 13:10:45  mmazur
- mass commit; now req: name = epoch:version

Revision 1.44  2003/05/25 10:59:12  misi3k
- added Source{0,1} md5sun

Revision 1.43  2003/05/25 05:46:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2002/05/25 21:39:00  qboosh
- removed .lsm file from doc (outdated and redundant)

Revision 1.41  2002/05/21 23:12:51  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/05/21 12:41:55  kloczek
- use new %doc packing infrastructure.

Revision 1.39  2002/05/21 12:32:24  malekith
- rel 9, yet another segv killed (also by Jarek Kulesza <jik@telkab.pl>)
  hope, this is last one :)

Revision 1.38  2002/05/20 14:01:34  malekith
- sorry, forgot to remove # :<<

Revision 1.37  2002/05/20 12:06:52  malekith
- rel 8, stbr
- yet another segv killed (patch by Jarek Kulesza <jik@telkab.pl>)

Revision 1.36  2002/05/17 14:01:51  malekith
- rel 7
- fixed one segv (patch by Jarek Kulesza <jik@telkab.pl>)

Revision 1.35  2002/04/25 16:11:38  arturs
- fixed a small typo

Revision 1.34  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.33  2002/02/23 01:47:49  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.30  2002/01/18 02:12:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/11/06 15:01:24  qboosh
- menumouse patch: fix for mouse on 1st item in dialog_list
- menuborder patch: don't destroy border in dialog_list
- release 6

Revision 1.28  2001/10/31 12:48:42  qboosh
- changed Source0 URL to point to proper dialog version
  (ouch, various versions of dialog packages make big mess...)

Revision 1.27  2001/10/24 22:54:19  ankry
- no "-" in tar options necessary

Revision 1.26  2001/10/24 20:51:51  ankry
- added hu, pl man pages
- release 5

Revision 1.25  2001/10/11 12:25:30  qboosh
- BuildRequires: autoconf

Revision 1.24  2001/09/26 17:47:44  qboosh
- adapterized, call ldconfig in post/postun
- changed shared patch: link libdialog.so with used libraries
- release 4

Revision 1.23  2001/09/06 00:56:04  blues
- Release 3
- URL updated
- STBR - rebuild with gpm-libs (it was forgoten)

Revision 1.22  2000/12/22 05:54:04  kloczek
- spec adapterized and added using new rpm automation,
- move all %doc to devel,
- more macros,
- added Epoch: 1 for allow upgrade from RH dialog version.

Revision 1.21  2000/12/21 15:12:14  baggins
- release 2
- added opt patch

Revision 1.20  2000/10/30 08:42:35  jajcus
- path to awk fixed in doc/manpager
- examples patched so they work when installed
- examples moved to /usr/src/examples/dialog (instead of /usr/src/dialog)

Revision 1.19  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/18 18:08:16  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.15  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.14  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

